import es
import time
import gamethread
import soccer.soccer as soccerlib
import playerlib
import nativetools
import psyco
psyco.full()

info = es.AddonInfo()
info.name = "Soccer Respawn Script"
info.version = soccerlib.info.version
info.basename = "soccerrespawn3"
info.author = "chrismrulz"

bintime = int(soccerlib.config.get("Respawn", "bintime"))
msgtime = int(soccerlib.config.get("Respawn", "msgtime"))
viewenemygoals = int(soccerlib.config.get("Respawn", "viewenemygoals"))
ctgoalviewx = soccerlib.ctgoalviewx
ctgoalviewy = soccerlib.ctgoalviewy
tgoalviewx = soccerlib.tgoalviewx
tgoalviewy = soccerlib.tgoalviewy
goalviewz = soccerlib.goalviewz

def load():
	es.msg('#Green','Soccer Respawn Script On - by Toph')

def unload():
	es.msg('#Green','Soccer Respawn Script Off')

def getlook(steamid):
	if(steamid not in soccerlib.players):
		return viewenemygoals
	else:
		if('spawnlook' not in soccerlib.players[steamid]):
			return viewenemygoals
		else:
			return soccerlib.players[steamid]['spawnlook']

def round_start(event_var):
	global nr_tt
	nr_tt = time.time() + bintime

def inbin(userid, steamid):
	nrt_time = time.time()
	if(nrt_time >= nr_tt):
		if(soccerlib.newround == 0 and soccerlib.roundfinished != 1):
			nativetools.spawnPlayer(userid)
			if(getlook(steamid) == 1):
				es.menu(msgtime, userid, 'You are now back on the field and facing your opponent goals.')
			else:
				es.menu(msgtime, userid, 'You are now back on the field.')

def player_death(event_var):
	if(soccerlib.roundfinished != 1):
		es.menu(msgtime, event_var['userid'], 'You have been injured. You will come back on the field in %s seconds.' % bintime)
		gamethread.delayed(bintime, inbin, (event_var['userid'], event_var['es_steamid']))

def player_spawn(event_var):
	if(getlook(event_var['es_steamid']) == 1):
		if(event_var['es_userteam'] == '2'):
			playerlib.getPlayer(event_var['userid']).viewCoord([tgoalviewx, tgoalviewy, goalviewz])
		elif(event_var['es_userteam'] == '3'):
			playerlib.getPlayer(event_var['userid']).viewCoord([ctgoalviewx, ctgoalviewy, goalviewz])